%define qtdir /usr/lib/qt3
%define beta beta2

Name: knetload
Version: 2.00
Release: alt0.2.%beta
Serial: 1

Group: Monitoring
Summary: Network traffic monitor
License: GPL

Source: %name-%version%beta.tar.bz2
Source1: knetload-ru.po

# Automatically added by buildreq on Tue Sep 30 2003 (-bi)
#BuildRequires: XFree86-devel-static XFree86-libs boson fontconfig freetype2 gcc-c++ kde-settings kdegames-libs kdelibs-devel libGLU libGLwrapper libart_lgpl-devel libarts-devel libaudio libexpat libjpeg-devel liblcms libmng libpng-devel libqt3-devel libstdc++-devel libxml2 libxslt qt3-designer xml-utils zlib-devel

BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++
BuildRequires: kde-settings kdegames-libs kdelibs-devel libGLU libart_lgpl-devel
BuildRequires: libarts-devel libaudio libexpat libjpeg-devel liblcms libmng libpng-devel
BuildRequires: libqt3-devel libstdc++-devel libxml2 libxslt qt3-designer xml-utils zlib-devel


%description
KDE application that monitors network traffic.

%prep
%setup -q -n %name
install -m644 %SOURCE1 po/ru.po

make -f Makefile.cvs && make -f admin/Makefile.common cvs

%build
export QTDIR=%qtdir KDEDIR=%prefix
%configure \
    --enable-final \
    --enable-shared \
    --disable-static \
    --disable-rpath \
    --program-transform-name=""

%make_build

%install
%make DESTDIR=%buildroot install

%find_lang %name

%files -f %name.lang
%doc %_docdir/HTML/en/%name
#
%_libdir/kde3/*.la
%_libdir/kde3/*.so
%_libdir/kde3/*.so.*
#
%_datadir/apps/%name
%dir %_datadir/apps/kicker/applets
%_datadir/apps/kicker/applets/%name.desktop
%_datadir/icons/*/*/*/*

%changelog
* Wed Oct 01 2003 Sergey V Turchin <zerg at altlinux dot org> 1:2.00-alt0.2.beta2
- add Russian translation

* Tue Sep 30 2003 Sergey V Turchin <zerg at altlinux dot org> 1:2.00-alt0.1.beta2
- new version

* Tue Sep 30 2003 Sergey V Turchin <zerg at altlinux dot org> 1:1.99-alt1
- new version
- remove binary from tarball
- fix build requires

* Thu Sep 12 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.9.4-alt2
- rebuild with gcc3.2

* Sat Apr 27 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.9.4-alt1
- new version
- build with KDE3

* Fri Oct 12 2001 Sergey V Turchin <zerg@altlinux.ru> 1.91-ipl2mdk
- rebuild with new libpng

* Fri Mar 2 2001 AEN <aen@logic.ru> 1.91-ipl1mdk
- new version with KDE-2.1
* Mon Jan 15 2001 AEN <aen@logic.ru>
- RE adaptation
- BuildReq added

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.90-3mdk
- Rebuild with gcc-2.96 & glibc-2.2

* Tue Oct 10 2000 David BAUDENS <baudens@mandrakesoft.com> 1.90-2mdk
- Don't think i586 is alone in CPU constellation
- Macros

* Mon Oct  9 2000 Vincent Saugey <vince@mandrakesoft.com> 1.90-1mdk
- Up to KDE2 Version

* Thu May  4 2000 Vincent Saugey <vince@mandrakesoft.com> 1.3-7mdk
- Reducte entry menu to kde destop
- Remove rpath

* Tue Mar 28 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3-6mdk
- Don't use prefix
- Don't use autogenerated file list
- Menu entry
- Changed group

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Libtoolize --force.

* Tue Dec 22 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add fr.po

* Tue Nov 23 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance

* Tue Oct 12 1999 Francis Galiegue <francis@mandrakesoft.com>
- fixed stupid bug of mine in spec file

* Tue Oct 12 1999 Francis Galiegue <francis@mandrakesoft.com>
- version 1.3
- spec file cleanups

* Sat Aug 28 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.

